Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 578892 - media-video/transcode-1.1.7-r3 - segfault when ripping video dvd
Summary: media-video/transcode-1.1.7-r3 - segfault when ripping video dvd
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Media-video project
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks:
 
Reported: 2016-04-03 06:52 UTC by Paul Jewell
Modified: 2022-07-14 15:54 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch to fix problem (transcode-1.1.7-r3.patch,753 bytes, patch)
2016-04-03 06:52 UTC, Paul Jewell
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Jewell 2016-04-03 06:52:18 UTC
Created attachment 429534 [details, diff]
Patch to fix problem

Unable to rip video dvd - transcode seg faulting.
Appears to be a known bug: https://bugs.launhttps://bugs.launchpad.net/ubuntu/+source/transcode/+bug/1099201chpad.net/ubuntu/+source/transcode/+bug/1099201

Patch attached according to https://launchpadlibrarian.net/184767623/debian-bug-697558-
Comment 1 Alexis Ballier gentoo-dev 2016-04-04 07:32:36 UTC
well, rc_eq option is deprecated, I'd rather see it dropped.
Comment 2 peteru 2018-10-23 01:52:07 UTC
This is still broken. If the supplied patch helps, why not use it?
Comment 3 Paul Jewell 2021-11-26 13:37:38 UTC
(In reply to peteru from comment #2)
> This is still broken. If the supplied patch helps, why not use it?

Obviously no one is ripping DVDs these days. I have just looked into the source of the current version of transcode, and it still has the offending line. I haven't bothered to apply my patch and see if the current build works, but I have no reason to believe it won't.

If anyone else comes against this issue, add the patch as a user patch then continue as normal.
Comment 4 Andreas Sturmlechner gentoo-dev 2022-07-14 15:53:35 UTC
I think this patch is obsolete by ffmpeg-4 patch.

Unfortunately, that just brings up the next error:
https://forums.opensuse.org/showthread.php/569521-Ripping-DVD-fails-export_ffmpeg-so-could-not-open-FFMPEG-codec